import React, { useState, useRef, useEffect } from 'react';
import { MapContainer, TileLayer, Marker } from 'react-leaflet';
import L from 'leaflet';

var Map = function Map(props) {
  var _useState = useState([]),
    data = _useState[0],
    setData = _useState[1];
  var mapRef = useRef();
  useEffect(function () {
    setData(props.dataSource);
  }, [props.dataSource]);
  var Icon = function Icon() {
    this.markerIcon = props.markerIcon;
    this.iconSizeTwo = props.iconSizeTwo;
  };
  var row = new Icon(props.markerIcon, props.iconSizeTwo);
  function GetIconAll() {
    return L.icon({
      iconUrl: row.markerIcon,
      iconSize: [row.iconSizeTwo]
    });
  }
  return /*#__PURE__*/React.createElement("div", {
    style: {
      width: '100%'
    }
  }, /*#__PURE__*/React.createElement("div", {
    style: {
      width: '100%'
    }
  }, /*#__PURE__*/React.createElement(MapContainer, {
    ref: mapRef,
    center: props.center,
    zoom: props.zoom,
    minZoom: props.minZoom
  }, /*#__PURE__*/React.createElement(TileLayer, {
    attribution: "<a href=\"\">Mahmut Can \xD6zgan</a>",
    url: "https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png"
  }), data && data.map(function (item) {
    return /*#__PURE__*/React.createElement(Marker, {
      key: item.key,
      position: [item.lat, item.lng],
      icon: GetIconAll()
    });
  }))));
};

export { Map };
//# sourceMappingURL=index.modern.js.map
